<?php
require_once('../include/dbconn.php');

$errors = array(); // To store validation errors

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_GET['id'])) {
    $id = trim($_GET['id']);
    $name = trim($_POST['name']);
    $email = trim($_POST['email']);
    $phone = trim($_POST['phone']);
    $gender = trim($_POST['gender']);

    // Store submitted values in session
    $_SESSION['submitted_values'] = [
        'name' => $name,
        'email' => $email,
        'phone' => $phone,
        'gender' => $gender
    ];

    // Validation
    if (empty($name)) {
        $errors['name'] = "Name is required.";
    }


    if (empty($email)) {
        $errors['email'] = "Email is required.";
    } elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        $errors['email'] = "Invalid email format.";
    }

    if (empty($phone)) {
        $errors['phone'] = "Mobile Number is required.";
    }

    if (empty($gender)) {
        $errors['gender'] = "Gender is required.";
    }


    // Perform additional validation for other fields

    // If there are no validation errors, proceed to insert
    if (empty($errors)) {
        $query = "UPDATE students SET name = ?, email = ?, phone = ?, gender = ? WHERE id = ?";
        $stmt = $conn->prepare($query);

        $stmt->bind_param('ssssi', $name, $email, $phone, $gender, $id);

        if ($stmt->execute()) {
            $_SESSION['success_message'] = "Record updated successfully!";
            header("Location: ../index.php"); // Redirect with success message
            exit;
        } else {
            $_SESSION['error_message'] = "Error while updateding record.";
        }
    } else {
        // Errors were found, store them in session and redirect back
        $_SESSION['form_errors'] = $errors;
        header("Location: ../edit.php/$id"); // Redirect with success message
        exit;
    }
}
